axis-c-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Uthaiyashankar <shan...@wso2.com>
Subject Re: Problem with build axis2c 1.5.0 on Solaris with CC compiler
Date Wed, 24 Dec 2008 04:22:27 GMT
Hi,

AFAIK, we never tested with cc compiler. Is it possible for you install gcc
and try? You can get gcc from www.sunfreeware.com

Regards,
Shankar

On Tue, Dec 23, 2008 at 8:36 PM, Andriy Vitkovskyy <avitkovsky@gmail.com>wrote:

> Hi,
>
> I trying to build axis2c 1.5.0 on Solaris 9
>
> I have a problem
>
> checking build system type... sparc-sun-solaris2.9
> checking host system type... sparc-sun-solaris2.9
> checking target system type... sparc-sun-solaris2.9
> ............................
> make
> .............................
> cc -shared  .libs/hash.o .libs/allocator.o .libs/env.o .libs/error.o
> .libs/stream.o .libs/log.o .libs/string.o .libs/string_util.o
> .libs/qname.o .libs/array_list.o .libs/linked_list.o .libs/utils.o
> .libs/dir_handler.o .libs/file_handler.o .libs/class_loader.o
> .libs/network_handler.o .libs/file.o .libs/uuid_gen.o
> .libs/thread_pool.o .libs/property.o .libs/types.o .libs/param.o
> .libs/param_container.o .libs/dll_desc.o .libs/url.o .libs/stack.o
> .libs/generic_obj.o .libs/base64.o .libs/uri.o .libs/date_time.o
> .libs/base64_binary.o .libs/properties.o .libs/rand.o
> .libs/date_time_util.o .libs/version.o .libs/duration.o .libs/md5.o
> .libs/http_chunked_stream.o .libs/digest_calc.o -Wl,--whole-archive
> ../src/platforms/unix/.libs/libaxis2_unix.a -Wl,--no-whole-archive
>
> -L/export/home/odugin/sources/odugin/mds2/src/3rdparty/axis2c/src/../../../../intermediate/sunos.cc58/lib/
> -lm -lpthread -lz -ldl -lsocket -lnsl -lc  -xarch=v9 -xarch=v9
> -Wl,-soname -Wl,libaxutil.so.0 -o .libs/libaxutil.so.0.5.0
> ld: fatal: file libaxutil.so.0: open failed: No such file or directory
>
>                    uname -a
> SunOS ADP 5.9 Generic_118558-10 sun4u sparc SUNW,Ultra-Enterprise
>
>                    ld -V
> GNU ld version 2.11.2 (with BFD 2.11.2)
>  Supported emulations:
>   elf32_sparc
>   elf64_sparc
>
>
>
> What is wrong?
>
> thanks
>



-- 
S.Uthaiyashankar
Software Architect
WSO2 Inc.
http://wso2.com/ - "The Open Source SOA Company"

Mime
View raw message